package com.template.services;

import com.template.model.pojo.SmartIdentity;
import com.template.model.pojo.SmartIdentity;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.PageUtils;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-12-04
 */
public interface SmartIdentityService extends IService<SmartIdentity> {
    int insertSmartIdentity(SmartIdentity rns);

    int updateSmartIdentity(SmartIdentity rns);

    SmartIdentity queryIdentityByName(String name);

    PageUtils<SmartIdentity> queryPageSmartIdentitys(int currentPage, int pageCount, String name);

    int deleteSmartIdentityById(int id);

    SmartIdentity getSmartById(int id);

    List<SmartIdentity> querySmartIdentityDatas(int id);
}
